#include <JUI/Widgets/ImageRect.hpp>

JUI::ImageRect::ImageRect() : Rect(), ImageBase() {
    Name("ImageRect");
}

JUI::ImageRect::ImageRect(JUI::Widget *parent) : ImageRect() {
    Parent(parent);
}

void JUI::ImageRect::Update(float delta) {
    Rect::Update(delta);
}

void JUI::ImageRect::Draw() {
    Rect::Draw();
    ImageBase::Draw(GetAbsolutePosition()+GetAbsolutePaddingTopLeft(), GetAbsoluteSize()-GetAbsolutePaddingBottomRight());
}
