#include <JUI/Widgets/TextButton.hpp>

namespace JUI
{
    TextButton::TextButton() : Button(), TextBase() {
        Name("TextButton");
    }
    TextButton::TextButton(Widget* parent) : TextButton() {
        this->Parent(parent);
    }

    void TextButton::Update(float delta) {
        Button::Update(delta);
        TextBase::Update(delta);
    }

    void TextButton::Draw() {
        Button::Draw();
        // TODO: Factor in padding here.
        TextBase::Draw(this->GetAbsolutePosition()+GetAbsolutePaddingTopLeft(), this->GetAbsoluteSize()-GetAbsolutePaddingBottomRight());
    }
}
