#pragma once

#include "JUI/Widgets/Rect.hpp"
#include "JUI/Base/TextBase.hpp"

namespace JUI {

    class TextRect : public Rect, public TextBase {
    public:
        TextRect();
        TextRect(Widget* parent);
        void Update(float delta) override;
        void Draw() override;

        bool AutoFitSizeToText() const  { return fit_size_to_text; }
        void AutoFitSizeToText(bool resize){ fit_size_to_text = resize; }


        bool TextWrap() const;
        void TextWrap(bool enable) const;
        void InnerDraw() override;
    protected:

        bool fit_size_to_text = false;
        bool wrap_text = false;
    };
}