#include <JUI/Mixins/Clickable.hpp>

void JUI::Clickable::Update(const Vector2 &mpos, const JUI::MouseButton &btn, bool hovering) {
    //Hoverable::Update(mpos, delta);
}

void JUI::Clickable::OnRelease(const Vector2 &MousePos, const JUI::MouseButton &MouseButton, bool MouseStillOver) {
    clicked = false;
    OnReleaseEvent.Invoke(MousePos, MouseButton, MouseStillOver);
}

void JUI::Clickable::OnClick(const Vector2 &MousePos, const JUI::MouseButton &MouseButton) {

    clicked = true;
    OnClickEvent.Invoke(MousePos, MouseButton);
}

void JUI::Clickable::SetClicked(bool manual_click) {
    clicked = manual_click;
}
