#include <JUI/Style/TextStyler.hpp>

JGL::Font JUI::TextStyler::Font() const { return font;}

int JUI::TextStyler::TextSize() const { return text_size; }

Color4 JUI::TextStyler::TextColor() const { return text_color; }

void JUI::TextStyler::Font(const JGL::Font &value) {
    font = value;
}

void JUI::TextStyler::TextSize(int value) {
    text_size = value;
}

void JUI::TextStyler::TextColor(const Color4 &color) {
    text_color = color;
}

void JUI::TextStyler::Style(const JGL::Font &font, int size, const Color4 &color) {
    Font(font);
    TextSize(size);
    TextColor(color);
}
