#include <JUI/Widgets/Tooltip.hpp>

void JUI::Tooltip::Update(float delta) {

    if (attachment && attachment->IsMouseInside())
    {
        auto coords = InputService::GetMousePosition();

        auto rel_pos = parent->GetAbsolutePosition();

        auto rel_udim = UDim2::FromPixels(rel_pos.x, rel_pos.y);

        auto anchor = AnchorPoint();

        Position(UDim2::FromPixels(coords.x - rel_pos.x, coords.y - rel_pos.y - GetAbsoluteSize().y));
        Visible(true);
    } else
        Visible(false);


    TextRect::Update(delta);
}


